Bug 473414 - Pidgin event sounds crackle when using Pulseaudio
Pidgin event sounds crackle when using Pulseaudio
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
10
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 07:12 EST by Florian Fahr
Modified: 2009-12-18 01:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Fahr 2008-11-28 07:12:05 EST
Description of problem:
Whenever Pidgin plays an event sound it pops at least once. It might be related to Pulseaudio, because on OSS4 it didn't have any problems.

Version-Release number of selected component (if applicable):
2.5.2-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. Run Pidgin
2. Select a contact of choice
3. Type a message and send it (with a sound assigned to this event)
  
Actual results:
The sound pops.

Expected results:
The sound should play glitch-free.

Additional info:
Other apps like amsn don't have this problem.
Comment 1 James 2008-12-03 16:53:22 EST
I've seen this since back before Pulseaudio. I find that changing the sound method to Command (Sounds tab in Preferences) and supplying

   play %s

as the command alleviates this.
Comment 2 Warren Togami 2008-12-03 17:39:27 EST
How is amsn outputting sound?  pidgin's default is to output through gstreamer, which outputs through pulseaudio, which outputs through ALSA.

"play" is not ideal because it uses OSS output, which might work, except it grabs the entire sound device causing everything else to fail.  You should try "aplay" instead which outputs directly to ALSA.  ALSA's default device is pulseaudio.  No crackling then?
Comment 3 James 2008-12-03 18:04:51 EST
play (i.e., sox) does use ALSA and mixes fine in Pulseaudio. Using aplay produces garbage as it can't handle Ogg Vorbis. I hear no crackling with the GNOME event sounds.
Comment 4 Warren Togami 2009-03-24 11:14:16 EDT
Still an issue with F-10 plus all updates?
Comment 5 James 2009-08-23 09:50:35 EDT
Not observed in pidgin-2.6.1-1.fc11.x86_64.
Comment 6 Robert Story 2009-08-23 18:24:59 EDT
I still have this issue on some machines, f-10 w/all updates. as mentioned in comment #1, using play/aplay works fine...
Comment 7 Bug Zapper 2009-11-18 04:24:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:59:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.